Subject: bug#25177: python-tests: python-oslosphinx fixed. Please evaluate.

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 24 Feb 2017 23:29:37 +0100

Marius Bakke <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> Leo Famulari <[email-masked]> writes:
>>>
>>>> On Tue, Feb 21, 2017 at 06:30:12PM +0100, Ricardo Wurmus wrote:
>>>>> From 1ac5166df11766b47cd1ac723a464063a89afc96 Mon Sep 17 00:00:00 2001
>>>>> From: Ricardo Wurmus <[email-masked]>
>>>>> Date: Tue, 21 Feb 2017 18:28:21 +0100
>>>>> Subject: [PATCH] gnu: python-dendropy: Disable failing tests.
>>>>>
>>>>> * gnu/packages/bioinformatics.scm (python-dendropy): Disable two failing
>>>>> tests.
>>>>
>>>> LGTM
>>>
>>> The problem was fixed in the upstream commit 93f984b in response to my
>>> bug report:
>>>
>>>     https://github.com/jeetsukumaran/DendroPy/commit/93f984bba7a6c588a28ca87f4e557ce283809453
>>>
>>> I believe we can just backport this fix instead of deleting the test.
>>
>> Here’s a patch that fixes the tests by applying the changes of the
>> upstream commit.  If this is fine I’ll push it to the python-tests
>> branch.
>
> I tried this patch, and guess the reason it was not pushed is because
> dendropy now has a different failure. Can you look into it?

Oh?  I didn’t get an error building it on the “python-tests” branch on
x86_64.  Could you show me the error messages you get?

(I didn’t build python2-dendropy.)

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net